/// <reference types="react" />
declare type CodeProps = {
    prevCode: string;
    prevFocus: string | null;
    nextCode: string;
    nextFocus: string | null;
    progress: number;
    language: string;
    parentHeight?: number;
    minColumns: number;
    minZoom: number;
    maxZoom: number;
    horizontalCenter: boolean;
};
export declare function Code({ prevCode, prevFocus, nextCode, nextFocus, progress, language, parentHeight, minColumns, minZoom, maxZoom, horizontalCenter, }: CodeProps): JSX.Element;
export declare function flatMap<T, U>(array: T[], callbackfn: (value: T, index: number, array: T[]) => U[]): U[];
export {};
