import React from "react";
import { Classes } from "@code-hike/classer";
import "./index.scss";
export { EditorFrame, TerminalPanel };
declare type EditorFrameProps = {
    files: string[];
    active: string;
    height?: number;
    terminalPanel: React.ReactNode;
    button?: React.ReactNode;
    classes?: Classes;
} & React.PropsWithoutRef<JSX.IntrinsicElements["div"]>;
declare function EditorFrame({ files, active, children, terminalPanel, height, style, button, classes, ...rest }: EditorFrameProps): JSX.Element;
declare type TerminalPanelProps = {
    height?: number;
    children: React.ReactNode;
};
declare function TerminalPanel({ height, children, }: TerminalPanelProps): JSX.Element | null;
