import React from "react";
import { Classes } from "@code-hike/classer";
export { MiniEditorHike };
declare type MiniEditorStep = {
    code?: string;
    focus?: string;
    lang?: string;
    file?: string;
    tabs?: string[];
    terminal?: string;
};
export declare type MiniEditorHikeProps = {
    progress?: number;
    backward?: boolean;
    code?: string;
    focus?: string;
    lang?: string;
    file?: string;
    tabs?: string[];
    steps?: MiniEditorStep[];
    height?: number;
    minColumns?: number;
    minZoom?: number;
    maxZoom?: number;
    button?: React.ReactNode;
    horizontalCenter?: boolean;
    classes?: Classes;
} & React.PropsWithoutRef<JSX.IntrinsicElements["div"]>;
declare function MiniEditorHike(props: MiniEditorHikeProps): JSX.Element;
