import React from "react";
declare type Dimensions = {
    width: number;
    height: number;
    deps: React.DependencyList;
    lineWidths: [number, number];
    lineHeight: number;
    colWidth: number;
} | null;
export { useDimensions };
declare function useDimensions<T extends HTMLElement>(deps: React.DependencyList): [React.MutableRefObject<T>, Dimensions];
